package com.ruoyi.ibs.grid.domain.entity;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;

/**
 * 网格并集汇总报表_零售(GridUnionCmpmLingshou965)实体类
 *
 * @author makejava
 * @since 2025-06-24 10:02:50
 */
public class GridUnionCmpmLingshou implements Serializable {
    private static final long serialVersionUID = -58320252168115829L;
    /**
     * 统计日期
     */
    @Excel(name = "统计日期")
    private String dt;
    /**
     * 汇总层级
     */
    private String deptType;
    /**
     * 部室归属 0零售 1公司
     */
    private String opsDept;
    /**
     * 归属支行
     */
    private String deptId;
    /**
     * 归属网点
     */
    private String outletId;
    /**
     * 归属客户经理
     */
    private String userName;
    /**
     * 入格客户数
     */
    @Excel(name = "入格客户数",cellType = Excel.ColumnType.NUMERIC)
    private String custNum;
    /** 活期存款余额 */
    @Excel(name = "活期存款余额",cellType = Excel.ColumnType.NUMERIC)
    private String curBalD;

    /** 定期存款余额 */
    @Excel(name = "定期存款余额",cellType = Excel.ColumnType.NUMERIC)
    private String curBalT;

    /** 贷款余额 */
    @Excel(name = "贷款余额",cellType = Excel.ColumnType.NUMERIC)
    private String balLoan;

    /** 五级不良贷款余额 */
    @Excel(name = "五级不良贷款余额",cellType = Excel.ColumnType.NUMERIC)
    private String curBal5Bad;

    /** 活期存款年日均 */
    @Excel(name = "活期存款年日均",cellType = Excel.ColumnType.NUMERIC)
    private String curDAve;

    /** 定期存款年日均 */
    @Excel(name = "定期存款年日均",cellType = Excel.ColumnType.NUMERIC)
    private String curTAve;

    /** 贷款年日均 */
    @Excel(name = "贷款年日均",cellType = Excel.ColumnType.NUMERIC)
    private String loanAve;

    /** 建档率 */
    @Excel(name = "建档率",cellType = Excel.ColumnType.NUMERIC)
    private String phRat;

    /** 授信率 */
    @Excel(name = "授信率",cellType = Excel.ColumnType.NUMERIC)
    private String sxRat;

    /** 合同签约率 */
    @Excel(name = "合同签约率",cellType = Excel.ColumnType.NUMERIC)
    private String yxhtRat;

    /** 信用卡覆盖率 */
    @Excel(name = "信用卡覆盖率",cellType = Excel.ColumnType.NUMERIC)
    private String xykRat;

    /** 丰收互联覆盖率 */
    @Excel(name = "丰收互联覆盖率",cellType = Excel.ColumnType.NUMERIC)
    private String fshlRat;

    /** 收单覆盖率 */
    @Excel(name = "收单覆盖率",cellType = Excel.ColumnType.NUMERIC)
    private String sdRat;

    /** ETC覆盖率 */
    @Excel(name = "ETC覆盖率",cellType = Excel.ColumnType.NUMERIC)
    private String etcRat;

    /** 代扣电费覆盖率 */
    @Excel(name = "代扣电费覆盖率",cellType = Excel.ColumnType.NUMERIC)
    private String dianRat;

    /** 贷款黑名单占比 */
    @Excel(name = "贷款黑名单占比",cellType = Excel.ColumnType.NUMERIC)
    private String blackRat;

    /** 五级不良贷款占比(人) */
    @Excel(name = "五级不良贷款占比(人)",cellType = Excel.ColumnType.NUMERIC)
    private String badRat;

    /** 五级不良贷款占比(金额) */
    @Excel(name = "五级不良贷款占比(金额)",cellType = Excel.ColumnType.NUMERIC)
    private String badBalRat;

    /** 建档客户数 */
    @Excel(name = "建档客户数",cellType = Excel.ColumnType.NUMERIC)
    private String phNum;

    /** 授信客户数 */
    @Excel(name = "授信客户数",cellType = Excel.ColumnType.NUMERIC)
    private String sxNum;

    /** 合同签约客户数 */
    @Excel(name = "合同签约客户数",cellType = Excel.ColumnType.NUMERIC)
    private String yxhtNum;

    /** 持有信用卡客户数 */
    @Excel(name = "持有信用卡客户数",cellType = Excel.ColumnType.NUMERIC)
    private String xykNum;

    /** 开通丰收互联客户数 */
    @Excel(name = "开通丰收互联客户数",cellType = Excel.ColumnType.NUMERIC)
    private String fshlNum;

    /** 收单客户数 */
    @Excel(name = "收单客户数",cellType = Excel.ColumnType.NUMERIC)
    private String sdNum;

    /** ETC客户数 */
    @Excel(name = "ETC客户数",cellType = Excel.ColumnType.NUMERIC)
    private String etcNum;

    /** 代扣电费客户数 */
    @Excel(name = "代扣电费客户数",cellType = Excel.ColumnType.NUMERIC)
    private String dianNum;

    /** 贷款黑名单客户数 */
    @Excel(name = "贷款黑名单客户数",cellType = Excel.ColumnType.NUMERIC)
    private String blackNum;

    /** 五级不良贷款客户数 */
    @Excel(name = "五级不良贷款客户数",cellType = Excel.ColumnType.NUMERIC)
    private String badNum;
    /** 近365天已走访人数 */
    @Excel(name = "近365天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf365cnt;

    /** 近180天已走访人数 */
    @Excel(name = "近180天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf180cnt;

    /** 近90天已走访人数 */
    @Excel(name = "近90天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf90cnt;

    /** 近30天已走访人数 */
    @Excel(name = "近30天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf30cnt;

    /** 近365天走访率 */
    @Excel(name = "近365天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf365rt;

    /** 近180天走访率 */
    @Excel(name = "近180天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf180rt;

    /** 近90天走访率 */
    @Excel(name = "近90天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf90rt;

    /** 近30天走访率 */
    @Excel(name = "近30天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf30rt;



    public String getDt() {
        return dt;
    }

    public void setDt(String dt) {
        this.dt = dt;
    }

    public String getDeptType() {
        return deptType;
    }

    public void setDeptType(String deptType) {
        this.deptType = deptType;
    }

    public String getOpsDept() {
        return opsDept;
    }

    public void setOpsDept(String opsDept) {
        this.opsDept = opsDept;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getOutletId() {
        return outletId;
    }

    public void setOutletId(String outletId) {
        this.outletId = outletId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCustNum() {
        return custNum;
    }

    public void setCustNum(String custNum) {
        this.custNum = custNum;
    }

    public String getCurBalD() {
        return curBalD;
    }

    public void setCurBalD(String curBalD) {
        this.curBalD = curBalD;
    }

    public String getCurBalT() {
        return curBalT;
    }

    public void setCurBalT(String curBalT) {
        this.curBalT = curBalT;
    }

    public String getBalLoan() {
        return balLoan;
    }

    public void setBalLoan(String balLoan) {
        this.balLoan = balLoan;
    }

    public String getCurBal5Bad() {
        return curBal5Bad;
    }

    public void setCurBal5Bad(String curBal5Bad) {
        this.curBal5Bad = curBal5Bad;
    }

    public String getCurDAve() {
        return curDAve;
    }

    public void setCurDAve(String curDAve) {
        this.curDAve = curDAve;
    }

    public String getCurTAve() {
        return curTAve;
    }

    public void setCurTAve(String curTAve) {
        this.curTAve = curTAve;
    }

    public String getLoanAve() {
        return loanAve;
    }

    public void setLoanAve(String loanAve) {
        this.loanAve = loanAve;
    }

    public String getPhRat() {
        return phRat;
    }

    public void setPhRat(String phRat) {
        this.phRat = phRat;
    }

    public String getSxRat() {
        return sxRat;
    }

    public void setSxRat(String sxRat) {
        this.sxRat = sxRat;
    }

    public String getYxhtRat() {
        return yxhtRat;
    }

    public void setYxhtRat(String yxhtRat) {
        this.yxhtRat = yxhtRat;
    }

    public String getXykRat() {
        return xykRat;
    }

    public void setXykRat(String xykRat) {
        this.xykRat = xykRat;
    }

    public String getFshlRat() {
        return fshlRat;
    }

    public void setFshlRat(String fshlRat) {
        this.fshlRat = fshlRat;
    }

    public String getSdRat() {
        return sdRat;
    }

    public void setSdRat(String sdRat) {
        this.sdRat = sdRat;
    }

    public String getEtcRat() {
        return etcRat;
    }

    public void setEtcRat(String etcRat) {
        this.etcRat = etcRat;
    }

    public String getDianRat() {
        return dianRat;
    }

    public void setDianRat(String dianRat) {
        this.dianRat = dianRat;
    }

    public String getBlackRat() {
        return blackRat;
    }

    public void setBlackRat(String blackRat) {
        this.blackRat = blackRat;
    }

    public String getBadRat() {
        return badRat;
    }

    public void setBadRat(String badRat) {
        this.badRat = badRat;
    }

    public String getBadBalRat() {
        return badBalRat;
    }

    public void setBadBalRat(String badBalRat) {
        this.badBalRat = badBalRat;
    }

    public String getPhNum() {
        return phNum;
    }

    public void setPhNum(String phNum) {
        this.phNum = phNum;
    }

    public String getSxNum() {
        return sxNum;
    }

    public void setSxNum(String sxNum) {
        this.sxNum = sxNum;
    }

    public String getYxhtNum() {
        return yxhtNum;
    }

    public void setYxhtNum(String yxhtNum) {
        this.yxhtNum = yxhtNum;
    }

    public String getXykNum() {
        return xykNum;
    }

    public void setXykNum(String xykNum) {
        this.xykNum = xykNum;
    }

    public String getFshlNum() {
        return fshlNum;
    }

    public void setFshlNum(String fshlNum) {
        this.fshlNum = fshlNum;
    }

    public String getSdNum() {
        return sdNum;
    }

    public void setSdNum(String sdNum) {
        this.sdNum = sdNum;
    }

    public String getEtcNum() {
        return etcNum;
    }

    public void setEtcNum(String etcNum) {
        this.etcNum = etcNum;
    }

    public String getDianNum() {
        return dianNum;
    }

    public void setDianNum(String dianNum) {
        this.dianNum = dianNum;
    }

    public String getBlackNum() {
        return blackNum;
    }

    public void setBlackNum(String blackNum) {
        this.blackNum = blackNum;
    }

    public String getBadNum() {
        return badNum;
    }

    public void setBadNum(String badNum) {
        this.badNum = badNum;
    }

    public String getZf365cnt() {
        return zf365cnt;
    }

    public void setZf365cnt(String zf365cnt) {
        this.zf365cnt = zf365cnt;
    }

    public String getZf180cnt() {
        return zf180cnt;
    }

    public void setZf180cnt(String zf180cnt) {
        this.zf180cnt = zf180cnt;
    }

    public String getZf90cnt() {
        return zf90cnt;
    }

    public void setZf90cnt(String zf90cnt) {
        this.zf90cnt = zf90cnt;
    }

    public String getZf30cnt() {
        return zf30cnt;
    }

    public void setZf30cnt(String zf30cnt) {
        this.zf30cnt = zf30cnt;
    }

    public String getZf365rt() {
        return zf365rt;
    }

    public void setZf365rt(String zf365rt) {
        this.zf365rt = zf365rt;
    }

    public String getZf180rt() {
        return zf180rt;
    }

    public void setZf180rt(String zf180rt) {
        this.zf180rt = zf180rt;
    }

    public String getZf90rt() {
        return zf90rt;
    }

    public void setZf90rt(String zf90rt) {
        this.zf90rt = zf90rt;
    }

    public String getZf30rt() {
        return zf30rt;
    }

    public void setZf30rt(String zf30rt) {
        this.zf30rt = zf30rt;
    }

}

